import { ElementRef, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import { IStepperState } from '../../directives/stepper/stepper-state.interface';
export declare class StepTitleComponent implements OnChanges {
    el: ElementRef;
    private renderer;
    constructor(el: ElementRef, renderer: Renderer2);
    isComplete: boolean;
    stepNumber: number;
    title: string;
    stepperState: IStepperState;
    isActive: boolean;
    isLast: boolean;
    /**
     * Reacts to changes to isComplete via the @Input
     * @param changes
     */
    ngOnChanges(changes: SimpleChanges): void;
    getIsActiveState(): boolean;
    getIsLastState(): boolean;
    /**
     * Update the local isComplete status and call followup method,
     * this is used by higher order components that have a ChildContent
     * ref to an instance of this component.
     * @param isComplete
     */
    updateCompleteStatus(isComplete: boolean): void;
    updateFlags(): void;
    /**
     * Updates the class of the step's parent tab nav link, we need
     * this because the 'path (line)' is a child of the tab nav link
     * and we need to be able to change the color to green when
     * the step is completed.
     * @param isComplete
     */
    onIsCompleteUpdate(isComplete: boolean): void;
}
